[arch-commits] Commit in perl-dbd-mysql/repos (4 files)

Bartłomiej Piotrowski bpiotrowski at nymeria.archlinux.org
Thu May 16 10:46:08 EDT 2013


    Date: Thursday, May 16, 2013 @ 16:46:08
  Author: bpiotrowski
Revision: 185631

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  perl-dbd-mysql/repos/extra-i686/PKGBUILD
    (from rev 185630, perl-dbd-mysql/trunk/PKGBUILD)
  perl-dbd-mysql/repos/extra-x86_64/PKGBUILD
    (from rev 185630, perl-dbd-mysql/trunk/PKGBUILD)
Deleted:
  perl-dbd-mysql/repos/extra-i686/PKGBUILD
  perl-dbd-mysql/repos/extra-x86_64/PKGBUILD

-----------------------+
 /PKGBUILD             |   90 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |   45 ------------------------
 extra-x86_64/PKGBUILD |   45 ------------------------
 3 files changed, 90 insertions(+), 90 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2013-05-16 14:45:35 UTC (rev 185630)
+++ extra-i686/PKGBUILD	2013-05-16 14:46:08 UTC (rev 185631)
@@ -1,45 +0,0 @@
-# $Id$
-# Maintainer: kevin <kevin at archlinux.org>
-# Contributor: Eric Johnson <eric at coding-zone.com>
-
-pkgname=perl-dbd-mysql
-_realname=DBD-mysql
-pkgver=4.022
-pkgrel=3
-pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
-arch=('i686' 'x86_64')
-license=('GPL' 'PerlArtistic')
-url="http://search.cpan.org/dist/${_realname}/"
-depends=('libmariadbclient' 'perl-dbi')
-makedepends=('mariadb')
-options=('!emptydirs')
-source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
-md5sums=('20fb571245e3b9ac275b8329025c4bf6')
-
-build() {
-  cd "${srcdir}/${_realname}-${pkgver}"
-
-  # install module in vendor directories.
-  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
-  make
-}
-
-check() {
-  cd "${srcdir}/${_realname}-${pkgver}"
-  mkdir -p /tmp/mysql_test
-  mysql_install_db \
-     --basedir=/usr \
-     --datadir=/tmp/mysql_test
-  mysqld -P 17999 \
-     --socket=/tmp/socket.mysql \
-     --datadir=/tmp/mysql_test &
-  sleep 10
-  DAEMON_PORT=$!
-  make test || true
-  kill -9 $DAEMON_PORT
-}
-
-package() {
-  cd "${srcdir}/${_realname}-${pkgver}"
-  make install DESTDIR="${pkgdir}"
-}

Copied: perl-dbd-mysql/repos/extra-i686/PKGBUILD (from rev 185630, perl-dbd-mysql/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2013-05-16 14:46:08 UTC (rev 185631)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: kevin <kevin at archlinux.org>
+# Contributor: Eric Johnson <eric at coding-zone.com>
+
+pkgname=perl-dbd-mysql
+_realname=DBD-mysql
+pkgver=4.023
+pkgrel=1
+pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
+arch=('i686' 'x86_64')
+license=('GPL' 'PerlArtistic')
+url="http://search.cpan.org/dist/${_realname}/"
+depends=('libmariadbclient' 'perl-dbi')
+makedepends=('mariadb')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
+md5sums=('6ee956cf33ddce6441b36b6c1c983528')
+
+build() {
+  cd $_realname-$pkgver
+
+  # install module in vendor directories.
+  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
+  make
+}
+
+check() {
+  cd $_realname-$pkgver
+  mkdir -p /tmp/mysql_test
+  mysql_install_db \
+     --basedir=/usr \
+     --datadir=/tmp/mysql_test
+  mysqld -P 17999 \
+     --socket=/tmp/socket.mysql \
+     --datadir=/tmp/mysql_test &
+  sleep 10
+  DAEMON_PORT=$!
+  make test || true
+  kill -9 $DAEMON_PORT
+}
+
+package() {
+  cd $_realname-$pkgver
+  make install DESTDIR="$pkgdir"
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2013-05-16 14:45:35 UTC (rev 185630)
+++ extra-x86_64/PKGBUILD	2013-05-16 14:46:08 UTC (rev 185631)
@@ -1,45 +0,0 @@
-# $Id$
-# Maintainer: kevin <kevin at archlinux.org>
-# Contributor: Eric Johnson <eric at coding-zone.com>
-
-pkgname=perl-dbd-mysql
-_realname=DBD-mysql
-pkgver=4.022
-pkgrel=3
-pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
-arch=('i686' 'x86_64')
-license=('GPL' 'PerlArtistic')
-url="http://search.cpan.org/dist/${_realname}/"
-depends=('libmariadbclient' 'perl-dbi')
-makedepends=('mariadb')
-options=('!emptydirs')
-source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
-md5sums=('20fb571245e3b9ac275b8329025c4bf6')
-
-build() {
-  cd "${srcdir}/${_realname}-${pkgver}"
-
-  # install module in vendor directories.
-  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
-  make
-}
-
-check() {
-  cd "${srcdir}/${_realname}-${pkgver}"
-  mkdir -p /tmp/mysql_test
-  mysql_install_db \
-     --basedir=/usr \
-     --datadir=/tmp/mysql_test
-  mysqld -P 17999 \
-     --socket=/tmp/socket.mysql \
-     --datadir=/tmp/mysql_test &
-  sleep 10
-  DAEMON_PORT=$!
-  make test || true
-  kill -9 $DAEMON_PORT
-}
-
-package() {
-  cd "${srcdir}/${_realname}-${pkgver}"
-  make install DESTDIR="${pkgdir}"
-}

Copied: perl-dbd-mysql/repos/extra-x86_64/PKGBUILD (from rev 185630, perl-dbd-mysql/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2013-05-16 14:46:08 UTC (rev 185631)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: kevin <kevin at archlinux.org>
+# Contributor: Eric Johnson <eric at coding-zone.com>
+
+pkgname=perl-dbd-mysql
+_realname=DBD-mysql
+pkgver=4.023
+pkgrel=1
+pkgdesc="Perl/CPAN DBD::mysql module for interacting with MySQL via DBD"
+arch=('i686' 'x86_64')
+license=('GPL' 'PerlArtistic')
+url="http://search.cpan.org/dist/${_realname}/"
+depends=('libmariadbclient' 'perl-dbi')
+makedepends=('mariadb')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
+md5sums=('6ee956cf33ddce6441b36b6c1c983528')
+
+build() {
+  cd $_realname-$pkgver
+
+  # install module in vendor directories.
+  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
+  make
+}
+
+check() {
+  cd $_realname-$pkgver
+  mkdir -p /tmp/mysql_test
+  mysql_install_db \
+     --basedir=/usr \
+     --datadir=/tmp/mysql_test
+  mysqld -P 17999 \
+     --socket=/tmp/socket.mysql \
+     --datadir=/tmp/mysql_test &
+  sleep 10
+  DAEMON_PORT=$!
+  make test || true
+  kill -9 $DAEMON_PORT
+}
+
+package() {
+  cd $_realname-$pkgver
+  make install DESTDIR="$pkgdir"
+}



More information about the arch-commits mailing list